Commit c4165151 authored by Stefano Rivera's avatar Stefano Rivera

* Bump debhelper compat level to 8.

* Drop SOURCES.txt from the binary package.
* Add smoketest autopkgtest.
parent dee582a9
pyfiglet (0.6.1+dfsg-1) UNRELEASED; urgency=low
pyfiglet (0.6.1+dfsg-1) unstable; urgency=low
[ Stefano Rivera ]
* New upstream release.
......@@ -8,12 +8,15 @@ pyfiglet (0.6.1+dfsg-1) UNRELEASED; urgency=low
- Bump debhelper Depends to 8.1 for build-{arch,indep} support.
* Bump machine readable copyright format to 1.0.
* Bump copyright years.
* Bump debhelper compat level to 8.
* Moved repack.sh into a get-packaged-orig-source rule in rules.
* Drop SOURCES.txt from the binary package.
* Add smoketest autopkgtest.
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
-- Jakub Wilk <jwilk@debian.org> Sun, 05 May 2013 16:01:43 +0200
-- Stefano Rivera <stefanor@debian.org> Sun, 26 May 2013 16:18:40 +0200
pyfiglet (0.6+dfsg-1) unstable; urgency=low
......
......@@ -8,6 +8,7 @@ Build-Depends:
python-all (>= 2.6.5-13~),
python-setuptools
X-Python-Version: >= 2.5
XS-Testsuite: autopkgtest
Standards-Version: 3.9.4
Homepage: https://github.com/pwaller/pyfiglet
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyfiglet/trunk/
......
......@@ -3,6 +3,10 @@
%:
dh $@ --with python2
override_dh_auto_install:
dh_auto_install
find debian/python-pyfiglet -name SOURCES.txt -delete
get-packaged-orig-source:
set -ex; \
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p'); \
......
Tests: smoketest
Depends: @, toilet-fonts
#!/bin/sh
set -efu
cd "$ADTTMP"
pyfiglet --help
pyfiglet hello there
pyfiglet -f letter haai
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment